# Ansible Collection - enbewe.nextcloud
Collecion to deploy Nextcloud for file storage as well as CalDav/CardDav Server.

## Playbooks
### enbewe.nextcloud.deployment
Deploys the role `enbewe.nextcloud.nextcloud` to all hosts in the group `nextcloud`.

## Roles
### enbewe.nextcloud.nextcloud
Deploys [Nextcloud](https://nextcloud.com/) through a podman container.
The deployment consists of a separate postgres database container, a redis container,
an application container as well as a container for the cron service.

The configuration of the instance is automatically adjusted to work with
a OpenID provider.

## Modules
### enbewe.nextcloud.nextcloud_app
Manages the apps installed in the instance.